# $Revision: 1.29 $, $Date: 2002/07/21 12:42:39 $
#
# Conditional build:
# _without_alsa - without ALSA support
# _without_arts - without aRts support
#
Summary:	Cross Platform Audio Output Library
Summary(es):	Biblioteca libao
Summary(pl):	Midzyplatformowa biblioteka do odtwarzania dwiku
Summary(pt_BR):	Biblioteca libao
Name:		libao
Version:	0.8.3
Release:	3
Epoch:		1
License:	GPL
Vendor:		Xiphophorus <team@xiph.org>
Group:		Libraries
Source0:	http://www.xiph.org/ogg/vorbis/download/%{name}-%{version}.tar.gz
Patch0:		%{name}-ac_am_fixes.patch
URL:		http://www.xiph.org/
%ifnarch sparc sparc64
%{!?_without_alsa:BuildRequires:	alsa-lib-devel}
%endif
%{!?_without_arts:BuildRequires:	arts-devel}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	esound-devel >= 0.2.8
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libao is a cross-platform audio library that allows programs to output
audio using a simple API on a wide variety of platforms. It currently
supports: Null output, WAV files, OSS (Open Sound System), ESD (ESounD
or Enlighten Sound Daemon), ALSA (Advanced Linux Sound Architecture),
Solaris (untested), IRIX (untested)

%description -l es
Libaso es un biblioteca de audio que soporta programas com salida de
audio usando una API simplificada en una gran variedad de
arquiteturas. Hoy soporta Null output, WAV files, OSS (Open Sound
System), ESD (ESounD or Enlighten Sound Daemon), ALSA (Advanced Linux
Sound Architecture), Solaris (untested), IRIX (untested).

%description -l pl
Libao jest bibliotek do odtwarzania dwiku, ktra ma proste API i jest
dostpna na wielu rnych platformach.  Aktualnie wspiera odtwarzanie na
urzdzenie puste (null output), do plikw w formacie WAV, do demona ESD
(ESounD tudzie Enlighten Sound Daemon) oraz urzdzenia ALSA (Advanced
Linux Sound Architecture), OSS (Open Sound System), Solaris i IRIX.

%description -l pt_BR
Libao  uma biblioteca de audio multi-plataforma que permite programas
para saida de audio usando uma API simples em uma variedade grande de
plataformas. Atualmente suporta Null output, WAV files, OSS (Open
Sound System), ESD (ESounD or Enlighten Sound Daemon), ALSA (Advanced
Linux Sound Architecture), Solaris (untested), IRIX (untested).

%package devel
Summary:	Cross Platform Audio Output Library Development
Summary(pl):	Cz dla programistw biblioteki libao
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
The libao-devel package contains the header files and documentation
needed to develop applications with libao.

%description devel -l es
Biblioteca y archivos de inclusin.

%description devel -l pl
Pakiet libao-devel zawiera pliki nagwkowe i dokumentacj, potrzebne
do kompilowania aplikacji korzystajcych z libao.

%description devel -l pt_BR
Bibliotecas e arquivos de incluso.

%package static
Summary:	Cross Platform Autio Output Static Library
Summary(es):	Bibliotecas estticas
Summary(pl):	Statyczna biblioteka libao
Summary(pt_BR):	Bibliotecas estticas
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
The libao-static package contains the static libraries of libao.

%description static -l es
Biblioteca de audio Libao.

%description static -l pl
Statyczna wersja biblioteki libao.

%description static -l pt_BR
Biblioteca de audio Libao.

%package arts
Summary:	Arts plugin for libao
Summary(pl):	Wtyczka arts dla libao
Group:		Libraries
Requires:	%{name} = %{version}

%description arts
Arts plugin for libao.

%description arts -l pl
Wtyczka arts dla libao.

%package esd
Summary:	ESD plugin for libao
Summary(pl):	Wtyczka ESD dla libao
Group:		Libraries
Requires:	%{name} = %{version}

%description esd
Arts plugin for ESD.

%description esd -l pl
Wtyczka esd dla libao.

%package alsa
Summary:	ALSA plugin for libao
Summary(pl):	Wtyczka ALSA dla libao
Group:		Libraries
Requires:	libao = %{version}

%description alsa
ALSA plugin for libao.

%description alsa -l pl
Wtyczka ALSA dla libao.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing acinclude.m4
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure \
%ifnarch sparc sparc64
	%{?_without_alsa:--disable-alsa} \
	%{?!_without_alsa:--enable-alsa} \
	%{?_without_arts:--disable-arts} \
%endif
	--enable-shared \
	--enable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES README TODO
%attr(755,root,root) %{_libdir}/libao.so.*.*
%dir %{_libdir}/ao
%dir %{_libdir}/ao/plugins-2
%attr(755,root,root) %{_libdir}/ao/plugins-2/liboss.so
%attr(755,root,root) %{_libdir}/ao/plugins-2/liboss.la
%{_mandir}/man5/*

%files devel
%defattr(644,root,root,755)
%doc doc/*{html,css}
%attr(755,root,root) %{_libdir}/libao.so
%attr(755,root,root) %{_libdir}/libao.la
%{_includedir}/ao
%{_aclocaldir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%if %{?_without_arts:0}%{!?_without_arts:1}
%files arts
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ao/plugins-2/libarts.so
%attr(755,root,root) %{_libdir}/ao/plugins-2/libarts.la
%endif

%files esd
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ao/plugins-2/libesd.so
%attr(755,root,root) %{_libdir}/ao/plugins-2/libesd.la

%if %{?_without_alsa:0}%{!?_without_alsa:1}
%ifnarch sparc sparc64
%files alsa
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ao/plugins-2/libalsa*.so
%attr(755,root,root) %{_libdir}/ao/plugins-2/libalsa*.la
%endif
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libao.spec,v $
Revision 1.29  2002/07/21 12:42:39  wrobell
- fixed pl descriptions
- rel. 3, stb

Revision 1.28  2002/07/20 23:26:33  kloczek
- release 2.

Revision 1.27  2002/07/20 20:32:59  qboosh
- new %%doc, more ac-fixes added to patch - needed for autoconf 2.53

Revision 1.26  2002/07/20 16:13:47  kloczek
- reverte bumping Epoch.

Revision 1.25  2002/07/20 16:12:38  kloczek
- Epoch: 2.

Revision 1.24  2002/07/20 15:05:23  wrobell
- ver. 0.8.3

Revision 1.23  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.22  2002/06/10 21:51:00  wrobell
- fixed alsa subpackage section so the package will build with alsa 0.5 and
  alsa 0.9

Revision 1.21  2002/05/21 23:13:43  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.20  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.19  2002/02/23 03:26:01  kloczek
- adapterized.

Revision 1.18  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/01/18 02:13:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2002/01/06 21:29:33  qboosh
- fixed _without_alsa bcond
- removed dummy -devel summaries
- release 3

Revision 1.15  2002/01/06 03:56:07  kloczek
- merge libdep patch from rawhide.

Revision 1.14  2002/01/06 03:52:09  kloczek
- updated to 0.8.2 (mainly bug fix release),
- added alsa subpackage.

Revision 1.13  2001/12/01 17:22:03  kloczek
- merge translations from Conectiva and adapterize spec.

Revision 1.12  2001/11/29 21:33:32  filon
- fixed broken %%doc
- release 2

Revision 1.11  2001/08/18 23:07:35  kloczek
- updated to 0.8.0,
- added ac_am_fixes patch (removed any stupid manipulation in CFLAGS and mandir),
- added libao.conf(5) man page to main package.

Revision 1.10  2001/06/23 08:49:19  kloczek
- release 2.

Revision 1.9  2001/06/22 23:59:14  qboosh
- _without_arts

Revision 1.8  2001/06/21 13:21:10  misiek
Epoch: 1

Revision 1.7  2001/06/21 10:26:14  misiek
- don't require alsa on sparc

Revision 1.6  2001/06/21 09:48:38  misiek
- 0.7.0 version
- added arts and esd subpackages

Revision 1.5  2001/05/22 09:06:27  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.4  2001/04/02 07:24:24  kloczek
- spec adapterized and fixed %files list.

Revision 1.3  2001/03/30 16:30:55  qboosh
- _without_alsa
- opt patch

Revision 1.2  2001/02/11 01:29:39  misiek
little cleanups only. more work required

Revision 1.1  2000/10/29 15:59:15  pascalek
- initial release
